[SciPy-User] OS X Lion build fails: arpack

Paul Anton Letnes paul.anton.letnes@gmail....
Sun Oct 9 07:54:34 CDT 2011


On 9. okt. 2011, at 14:38, Ralf Gommers wrote:

> 
> 
> On Sun, Oct 9, 2011 at 1:58 PM, Paul Anton Letnes <paul.anton.letnes@gmail.com> wrote:
> Aha… I tried the homebrew gfortran, which downloads gfortran from r.research.att.com. However, I am getting exactly the same error message. Hence, I suspect the problem isn't simply the gfortran compiler version/build.
> 
> You're using llvm-gcc, which is known to not work with scipy (although it should compile as far as I know). Use plain gcc instead.
> 
> Ralf
> _______________________________________________
> SciPy-User mailing list
> SciPy-User@scipy.org
> http://mail.scipy.org/mailman/listinfo/scipy-user


I tried exporting the environment variables:
CXX=/usr/bin/g++-4.2
CC=/usr/bin/gcc-4.2
CPP=/usr/bin/cpp-4.2
LD=/usr/bin/ld
as suggested here (for other reasons, of course):
http://solarianprogrammer.com/2011/09/20/compiling-gcc-4-6-1-on-mac-osx-lion/
However, this did not change even the error message when trying to install scipy 0.9.

scipy 0.10b2 installs nicely; but I suppose it may be buggier than 0.9.0?

Cheers
Paul
-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://mail.scipy.org/pipermail/scipy-user/attachments/20111009/2fa20f7b/attachment.html 


More information about the SciPy-User mailing list